#include <PwmEncoder.h>

const int tx_pin = 13;
const int mode_pin = 12;

PwmEncoder SerialPwm(tx_pin);

char c;

void setup() {
  Serial.begin(9600);
  SerialPwm.begin(1200);   // 1200 bit per second
  SerialPwm.setTxRxModePin(mode_pin);
  SerialPwm.enableRxMode();
}

void loop() {
  
  // Alternative way: send a string
  if (Serial.available() > 0) {
    SerialPwm.enableTxMode();           // Enable TX
    delay(100);                         // Load serial buffer
    String str = Serial.readString();   // One second timeOut
    SerialPwm.print(str);
    // SerialPwm.println(str);          // (print with '\n' and '\r')
    Serial.println(str);
    SerialPwm.enableRxMode();           // Disable TX
  }
  
}
